DOCKER(1)

NAME

docker-pull - Download an image from a registry

SYNOPSIS

docker pull [OPTIONS] NAME[:TAG|@DIGEST]

DESCRIPTION

Alias for docker image pull.

OPTIONS

-a, --all-tags[=false]
    Download all tagged images in the repository

--disable-content-trust[=true]
    Skip image verification

-h, --help[=false]
    help for pull

--platform=""
    Set platform if server is multi-platform capable

-q, --quiet[=false]
    Suppress verbose output

SEE ALSO

docker(1)